Subject: bug#58159: [PATCH] Add support for the Wancho script

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Oct 2022 09:35:30 +0300

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 14 Oct 2022 17:24:48 -0400
> 
>   > This is what a typical patch for adding a script in Emacs looks like:
>   > 1. A one line entry in etc/NEWS announcing the support of the script and
>   > its language environment.
>   > 2. A one line greeting in the language/script which is added in etc/HELLO
>   > (optional)
>   > 3. A one line entry in script-representative-chars in
>   > lisp/international/fontset.el so that Emacs can select an appropriate font
>   > for it.
>   > 4. Adding the script name in setup-default-fontset in
>   > lisp/international/fontset.el
>   > 5. Defining a language environment for the script in the lisp/language/*.el
>   > files which includes the following entries:
>   > its charset (usually unicode), its coding-system (usually utf-8), its
>   > coding-priority (usually utf-8), its input-method, its sample text (the
>   > same text which is added in etc/HELLO),
>   > a one line documentation usually in the following template: "foo language
>   > and its script bar are supported in this language environment."
>   > 6. Adding composition rules for the script (optional, only needed for
>   > complex scripts)
>   > 7. Adding an input-method for the script in lisp/leim/quail/*.el files
> 
> That looks like nontrivial work to add each script.
> Not a big job, but not minimal either.

Only the two last items are nontrivial.  And item 6 is only necessary
for some scripts.  All the rest is basically trivial boilerplate.

> For a script that users actually want, it is work worth doing.
> For a script that we support only because some bureaucrats
> decided to include it in Unicode, is it worth that much?

We cannot control which itches our contributors want to scratch.
Letting them scratch their itches is an important aspect of being able
to keep them contributing to Emacs in all other areas.  This
particular itch is useful to Emacs, so I see no reason to object their
scratching it.